
/**
 * Check for Javascript support, and issue warning if missing
 */

function refreshPricesStockAutoAttach () {
  document.getElementById('pricediv').style.visibility = 'visible';
  var asdf=new Array("input", "select");
  for (k = 0 ; tagname = asdf[k] ; k++) {
    for (i = 0; selectx = document.getElementsByTagName(tagname)[i]; i++) {
      if (selectx && hasClass(selectx, 'select-attribute')) {
        selectx.onchange = function () { refreshPrices(); }
      }
    }
  }
  refreshPrices();
}

/**
 * Refresh price on the fly when a new attribute is selected
 */
function refreshPrices () {

  var attributes = '';
  var forbidden  = '';
  var categories = '';
  var surcharge = baseprice;
  var tags = new Array("input", "select");
  var stock_toggle = false;
  for (k = 0 ; tagname = tags[k] ; k++) {
    for (i = 0; selectx = document.getElementsByTagName(tagname)[i]; i++) {
      if (hasClass(selectx, 'select-attribute')) {
        if ((tagname == 'input' && selectx.checked) || (tagname == 'select') ) {
          attribute  =  variations[selectx.vid]['attributes'][selectx.value];
          surcharge  += parseFloat(attribute['surcharge']);
          forbidden  += attribute['forbidden_category'];
          categories += attribute['category'];
          document.getElementById('img_num_' + selectx.vid ).src = attribute['image'];
          if (stock_toggle) {
            if (stock > parseInt(attribute['stock']) ) {
              stock = parseInt(attribute['stock']);
            }
          }
          else {
            stock = parseInt(attribute['stock']);
            stock_toggle = true;
          }
        }
      }
    }
  }

  forbidden2  = forbidden.split(",");
  categories2 = categories.split(",");
  for (k = 0; forbid = forbidden[k] ; k++) {
    for (j = 0; category = categories[j] ; j++) {
      if ( category == forbid ) {
        stock            = 0;
        forbidden_toggle = true;
        break;
      }
    }
  }

  if (stock != 0) {
    document.getElementById('edit-newprice').value = HTTPGet(url_ajax + 'permutation_price;'  + surcharge, this.receive, this) ;
  }
  else {
    if (forbidden_toggle == 1) {
      document.getElementById('edit-newprice').value = message_forbidden;
    }
    else {
      document.getElementById('edit-newprice').value = message_sold_out;
    }
  }
//   alert('Javascript support needed by this page is not available. We recommend using Firefox.');
  buttons = document.getElementsByName('op');
  for (i = 0; button = buttons[i]; i++) {
    if (button && hasClass(button, 'addtocart')) {
      button.disabled = (!stock);
    }
  }
}

if (isJsEnabled()) {
    addLoadEvent(refreshPricesStockAutoAttach);
}
else {
  alert('Javascript support needed by this page is not available. We recommend using Firefox.');
}